跳至主要內容

代付 / 付款(Pay-out · 泰国)

smilepayz teams大约 3 分钟

泰国地区 付款(Pay-out) 接口(THB)。详见 支付方式

Request

POST/v2.0/disbursement/pay-out

Request Path:

sandbox: https://sandbox-gateway.smilepayz.com/v2.0/disbursement/pay-out
production: https://gateway.smilepayz.com/v2.0/disbursement/pay-out

Header Parameters

FieldRequiredTypeDescription
Content-TypeMStringapplication/json 请求体。
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm
X-SIGNATUREMString请求体签名(见产品文档 签名生成)。
X-PARTNER-IDMString商户 merchantID(字母数字)。

Body Parameters

FieldRequiredTypeDescription
orderNoMString(32)商户唯一订单号,6–32 位字母数字。
purposeMString(64)展示用摘要,1–64 UTF-8 字符。
merchantMObjectmerchantId 及可选子商户字段。
    merchantIdMStringSmilepayz merchantId
    merchantNameOStringUTF-8 商户展示名。
    subMerchantIdOString可选子商户编号。
    subMerchantNameOString可选子商户 UTF-8 名称。
moneyMObjectcurrencyamount 金额对象。
    currencyMString固定为 THB
    amountMNumber按币种与通道规则的金额整数。
paymentMethodMString通道编码(见 支付方式 文档)。
cashAccountMString(32)收款银行账号。
callbackUrlOString(256)异步通知 HTTPS,最长 256

Example Body – Disbursement Request:

Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
X-SIGNATURE: 7MHd9v5/m9JeqmDZVwWBZUZ5J5...7120QnFEny7Qm7uQR1G0TWCh10fsU6nVxiRoeoQ==
X-PARTNER-ID: 20001

Responses

HTTP Request

FieldRequiredTypeDescription
Content-TypeMStringapplication/json 请求体。
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm

Body Parameters

FieldRequiredTypeDescription
codeMString00 成功,其余失败。
messageMStringUTF-8 结果说明。
orderNoMString商户唯一订单号,6–32 位字母数字。
tradeNoOString平台 tradeNo
merchantMObjectmerchantId 及可选子商户字段。
    merchantIdMStringSmilepayz merchantId
    merchantNameOStringUTF-8 商户展示名。
    subMerchantIdOString可选子商户编号。
    subMerchantNameOString可选子商户 UTF-8 名称。
    accountNoOString结算 accountNo(若返回)。
moneyMObjectcurrencyamount 金额对象。
    currencyMString固定为 THB
    amountMNumber按币种与通道规则的金额整数。
disbursementTimeMStringFormat (yyyy-MM-ddTHH:mm:ss±HH:mm).
channelMObject通道数据(paymentUrlqrString 等)。
    paymentMethodMString通道编码(见 支付方式 文档)。
    cashAccountMString收款银行账号。
    accountNameOStringAccount holder name.
statusOString订单或支付状态枚举值。

Example Body – Disbursement Response:

Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00

Notification/Callback

HTTP Request

FieldRequiredTypeDescription
Content-TypeMStringapplication/json 请求体。
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm
X-SIGNATUREMString回调体签名(见 回调验签 文档)。

Body Parameters

FieldRequiredTypeDescription
orderNoMString商户唯一订单号,6–32 位字母数字。
tradeNoMString平台 tradeNo
merchantIdMStringSmilepayz merchantId
merchantNameMStringUTF-8 商户展示名。
subMerchantIdOString可选子商户编号。
subMerchantNameOString可选子商户 UTF-8 名称。
paymentMethodMString通道编码(见 支付方式 文档)。
transactionTimeMStringFormat: yyyy-MM-ddTHH:mm:ss
moneyMObjectcurrencyamount 金额对象。
    currencyMString固定为 THB
    amountMNumber按币种与通道规则的金额整数。
statusMString订单或支付状态枚举值。

Return

Important

Respond with the string SUCCESS only.

{
    "orderNo": "0TIn7z0G96HAGV8I734290310",
    "tradeNo": "112200012412160218303176",
    "merchantId": "20001",
    "merchantName": "test",
    "subMerchantId": "",
    "subMerchantName": "",
    "paymentMethod": "KBANK",
    "transactionTime": "2024-12-16T02:18:30",
    "money": {
        "currency": "THB",
        "amount": 1000
    },
    "status": "SUCCESS"
}
上次编辑于: